<?

 /*************************************************************************************
 * Filename: modules/pluginInfo.php
 *
 * This file is part of the DocIT JAS plugin.
 * Copyright 2003-2016 by Matthijs Schuurman
 *
 * The DocIT JAS plugin is free software under the terms of the
 * GNU General Public License version 3 or any later version.
 *
 * For information about the license please refer to:
 * LICENSE.txt in the root of the plugin or http://jas.junerules.com/plugins/docit/
 *************************************************************************************/


 require_once($_path["include"]."module.php");

 class Plugin_Module_docit_pluginInfo extends Module
 {
  function __construct(&$data)
  {
   parent::__construct($data);

   if($this->data->module!="pluginInfo")
    $this->extend("pluginInfo");

   $this->data->title="DocIT plugin information";

   $this->data->addField("templateitem", "localfile", "all", false, 1, 255, "item.html", "Item template");
   $this->data->addField("templatelist", "localfile", "all", false, 1, 255, "list.html", "List template");
   $this->data->addField("templateindex", "localfile", "all", false, 1, 255, "index.html", "Index template");
   $this->data->addField("templatelatestcomments", "localfile", "all", false, 1, 255, "latestcomments.html", "Latest comments template");
  }

  function postInit()
  {
   global $_path;

   $this->data->setFileDir("templateitem", $_path["project"]["plugins"]."docit/templates/");
   $this->data->setFileExtensions("templateitem", "html", "htm");

   $this->data->setFileDir("templatelist", $_path["project"]["plugins"]."docit/templates/");
   $this->data->setFileExtensions("templatelist", "html", "htm");

   $this->data->setFileDir("templateindex", $_path["project"]["plugins"]."docit/templates/");
   $this->data->setFileExtensions("templateindex", "html", "htm");

   $this->data->setFileDir("templatelatestcomments", $_path["project"]["plugins"]."docit/templates/");
   $this->data->setFileExtensions("templatelatestcomments", "html", "htm");

   return true;
  }
 }
?>
