<?

 /*************************************************************************************
 * Filename: setup.php
 *
 * This file is part of the DocIT JAS plugin.
 * Copyright 2003-2016 by Matthijs Schuurman
 *
 * The DocIT JAS plugin is free software under the terms of the
 * GNU General Public License version 3 or any later version.
 *
 * For information about the license please refer to:
 * LICENSE.txt in the root of the plugin or http://jas.junerules.com/plugins/docit/
 *************************************************************************************/


 class Plugin_Setup_docit extends Base_Plugin_Setup
 {
  function init()
  {
   global $_path;

   $this->modules();

   //copy css
   $this->mkdir($_path["project"]["style"]);
   $this->file("setup/docit.css", $_path["project"]["style"]);

   return true;
  }

  function postSetup()
  {
   $DOCITID="DOCIT CONTAINER";
   $COMMENTID="DOCIT COMMENTS CONTAINER";

   //get root category
   $d=Data::cache("categories", "tree", "down");
   $d->setShowFields("nr");

   $d->setValue("catnr", 0);
   $d->setValue("treedepth", 0);

   if(!$d->get()||!$d->next())
   {
    $this->e->add("Root category not found");
    $this->e->add($d->e);
    return false;
   }

   $rootcatnr=$d->v["nr"];

   //get docit category
   $d->setAction("view");
   $d->setExtra("all");
   $d->clearValues();

   $d->setShowFields("nr", "module", "moduleLock");
   $d->setValue("catnr", $rootcatnr);
   $d->setValue("text", $DOCITID);

   if(!$d->get()||!$d->next()) //no docit category found
   {
    //add new docit category
    $d->setAction("add");
    $d->setExtra("item");
    $d->clearValues();
    $d->e->clear();

    $d->setValue("catnr", $rootcatnr);
    $d->setValue("name", "DocIT");
    $d->setValue("text", $DOCITID);

    $d->setValue("moduleLock", true);
    $d->setValue("module", Array("docit_topics"));

    if(!$d->submit())
    {
     $this->e->add($d->e);
     return false;
    }
    else
     $this->e->add("DocIT category added", "note");

    $docitcatnr=$d->getValue("nr");
   }
   else //docit category found
   {
    //update if necessary
    $docitcatnr=$d->v["nr"];

    if(
     !$d->v["moduleLock"]||
     !in_array("docit_topics", $d->v["module"])
    )
    {
     $d->setAction("edit");
     $d->setExtra("item");
     $d->clearValues();
     $d->e->clear();

     $d->setValue("nr", $docitcatnr);
     $d->setValue("moduleLock", true);
     $d->setValue("module", array_unique(array_merge($d->v["module"], Array("docit_topics"))));

     if(!$d->submit())
     {
      $this->e->add($d->e);
      return false;
     }
     else
      $this->e->add("DocIT category updated", "note");
    }
   }

   //get docit comments category
   $d->setAction("view");
   $d->setExtra("all");
   $d->clearValues();
   $d->e->clear();

   $d->setShowFields("nr", "module", "moduleLock");
   $d->setValue("catnr", $docitcatnr);
   $d->setValue("text", $COMMENTID);

   if(!$d->get()||!$d->next()) //no docit category found
   {
    //add new docit category
    $d->setAction("add");
    $d->setExtra("item");
    $d->clearValues();
    $d->e->clear();

    $d->setValue("catnr", $docitcatnr);
    $d->setValue("name", "Comments");
    $d->setValue("text", $COMMENTID);

    $d->setValue("moduleLock", true);
    $d->setValue("module", Array("docit_comments"));

    if(!$d->submit())
    {
     $this->e->add($d->e);
     return false;
    }
    else
     $this->e->add("DocIT comments category added", "note");

    $commentscatnr=$d->getValue("nr");
   }
   else //docit category found
   {
    //update if necessary
    $commentscatnr=$d->v["nr"];

    if(
     !$d->v["moduleLock"]||
     !in_array("docit_comments", $d->v["module"])
    )
    {
     $d->setAction("edit");
     $d->setExtra("item");
     $d->clearValues();
     $d->e->clear();

     $d->setValue("nr", $commentscatnr);
     $d->setValue("moduleLock", true);
     $d->setValue("module", array_unique(array_merge($d->v["module"], Array("docit_comments"))));

     if(!$d->submit())
     {
      $this->e->add($d->e);
      return false;
     }
     else
      $this->e->add("DocIT comments category updated", "note");
    }
   }


   return true;
  }

 }
?>
